import { UiElement } from "./ui-element";

export class NumberInput extends UiElement {
    constructor(
        private label: string,
        private elementId: string,
        private value: any,
        private containerId: string,
        private disabled: string,
        private hidden: string,
        private required: string) {
        super(elementId, containerId, '');
        this.createElement(this.getTemplate());

    }

    public getTemplate() {
        let requiredClass: string = "";
        if (this.required == 'Y')
            requiredClass = "requiredClass"
        if (this.disabled == "N") { this.disabled = "disabled" } else { this.disabled = "" }
        if (this.hidden == "N") { this.hidden = "display:none;" } else { this.hidden = "" }
        const template =
            // "<div class='custom-text-area-element' style='" + this.hidden + "'>" +
            // " <label  class='daynamicForm-Label " + requiredClass + "' id='title' >" + this.label + "</label>" +
            // " <input class='daynamicForm-Input' type='number' id='" + this.elementId + "' value='" + this.value + "' " + this.disabled + " />" +
            // "</div> ";

            "<ion-item style='" + this.hidden + "'>" +
            "<ion-label style='font-size: medium !important;' class='" + requiredClass + "'>" + this.label + "</ion-label>" +
            "<ion-input type='number' id='" + this.elementId + "' value='" + this.value + "' " + this.disabled + "> </ion-input>" +
            "</ion-item> ";

        return template;
    }

}